--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -254,6 +254,26 @@
         target_compile_definitions(spdlog_header_only INTERFACE ${SPDLOG_OPTION})
     endif()
 endforeach()
+
+if(WIN32 OR WINDOWS_STORE)
+  set_target_properties(spdlog
+    PROPERTIES
+      COMPILE_PDB_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}
+      PDB_NAME spdlog
+      PDB_NAME_DEBUG spdlogd
+      COMPILE_PDB_NAME spdlog
+      COMPILE_PDB_NAME_DEBUG spdlogd
+  )
+  target_compile_options(spdlog PRIVATE /sdl-
+                                        /EHsc
+                                        /WX-
+  )
+  target_link_options(spdlog
+    PRIVATE
+      /INCREMENTAL:NO
+      /debug:full
+  )
+endif()
 
 # ---------------------------------------------------------------------------------------
 # If exceptions are disabled, disable them in the bundled fmt as well
@@ -321,6 +341,22 @@
     endif()
 
     # ---------------------------------------------------------------------------------------
+    # Windows PDB debug files
+    # ---------------------------------------------------------------------------------------
+    if(WIN32 OR WINDOWS_STORE)
+      install(FILES
+          ${PROJECT_BINARY_DIR}/Debug/spdlogd.pdb
+          DESTINATION lib
+          CONFIGURATIONS Debug
+      )
+      install(FILES
+          ${PROJECT_BINARY_DIR}/RelWithDebInfo/spdlog.pdb
+          DESTINATION lib
+          CONFIGURATIONS RelWithDebInfo
+      )
+    endif()
+
+    # ---------------------------------------------------------------------------------------
     # Install pkg-config file
     # ---------------------------------------------------------------------------------------
     if(IS_ABSOLUTE "${CMAKE_INSTALL_INCLUDEDIR}")
